Skip to content
Eligibility
Check

Check

Eligibility Check

Inside Rx manages multiple programs, each with their own set of eligibility rules. The rule sets are very complex, and vary from program to program, and NDC to NDC. This endpoint is designed to provide a highly accurate eligibility verdict earlier in the patient’s flow, before adjudication of the claim at the pharmacy counter. An X-API-KEY is used with the endpoint to automatically configure validations for the provisioned account.

Check

This endpoint is used to validate if the medication is cleared for the patient with a high degree of accuracy at the time of the request. While minimum fields are required, additional data helps to improve the accuracy of the request.

HTTP Request

POST https://services.insiderx.com/eligibility/v1/check HTTP/1.1
Content-Type: application/json
x-api-key: zW7PKpzy6X7UHlI4NymTG8QmYhSlFwVd44xapRCt

HTTP POST Params

The following params are sent as JSON in the request body. Dot notation is used to represent nested objects. Square bracket notation represents items that are nested within an array.

paramDescription
memberIdstring Member Id of the patient to check eligibility against. Typically the same as the card number.
groupstring Benefit group number of the patient to validate eligibility against.
firstNamestring Patient’s first name.
middleNamestring (optional) Patient’s middle name.
lastNamestring Patient’s last name.
genderstring Gender of patient. Either unknown (default), male, or female
dobstring Date of birth. Uses YYYY-MM-DD format. Example - ‘1983-03-31’ represents March 31, 1983.
emailstring (optional) Email of patient.
phonestring (optional) 10 digit phone number of patient. Example - ‘5125458080’
address.line1string (optional) First line of patient’s street address. Example: ‘123 Main Street’
address.line2string (optional) Apartment/unit number or continuation of patient’s street address. Example: ‘Apt #1104’
address.citystring (optional) City of patient’s address.
address.statestring (optional) Two letter state abbreviation of patient’s address. Example - ‘TX’ represents Texas.
address.zipstring Five digit zip code of patient’s address.
address.zipExtensionstring (optional) Four digit zip extension of patient’s address.
prescriber.typestring (optional) Either npi, state, or dea. Required if prescriber.id is provided. See prescriber types.
prescriber.idstring (optional) ID of the prescriber. Format is dependent on the type. See prescriber types
medication.ndcstring 11 digit NDC11 number of the drug to check eligibility against.
medication.quantityfloat Quantity of the drug to check eligibility against.
medication.daysSupplyinteger (optional) Days supply of the drug to check eligibility against. Defaults to 30.

Response Types

CodeDescription
200Successfully processed eligibility check.
400Incorrect or missing required parameters.
403Lack of permissions to check eligibility.
404Member ID, Group Number, or Patient not found.
500Internal server error, something went wrong.

Response Attributes

The following attributes are returned as an object within the response body. Dot notation is used to represent nested objects. Square bracket notation represents items that are nested within an array.

AttributeDescription
idstring Internal ID used for tracking purposes.
eligibleboolean Indicates if the patient passed eligibility check.
codestring (optional) Error code to identity the failure reason. See Error Codes.
messagestring (optional) Error description. See Error Codes.
statusCodeinteger (optional) HTTP status code in case of failure.
errorCodestring (optional) Error Code for validation failures. See Error Codes.

Example CURL Request

curl https://services.insiderx.com/eligibility/v1/check \
  -H "Content-Type: application/json" \
  -H "x-api-key: zW7PKpzy6X7UHlI4NymTG8QmYhSlFwVd44xapRCt" \
  -d memberId="AB12345678" \
  -d group="SAVE11" \
  -d firstName="John" \
  -d lastName="Doe" \
  -d gender="male" \
  -d dob="1983-03-31" \
  -d address[zip]="78660" \
  -d medication[ndc]="1234567901" \
  -d medication[quantity]=30.0

Where x-api-key is the private key provided when provisioning an account. The example key above is for demonstration purposes.

Example JSON Response

{
  "id": "d54c54ad-40be-4305-8a34-0ab44710b90d",
  "eligible": true
}

Example JSON Response for Ineligible Request Data

{
  "id": "d54c54ad-40be-4305-8a34-0ab44710b90d",
  "eligible": false,
  "code": "MEMBER_COVERED_BY_FED_INS",
  "message": "Member covered by federal insurance program."
}

Example JSON Response for Invalid Request Data

{
  "id": "d54c54ad-40be-4305-8a34-0ab44710b90d",
  "code": "INVALID_CARD_NUMBER",
  "message": "The card number provided is invalid.",
  "statusCode": 400
}

Example JSON Response for Missing Request Data

{
  "id": "d54c54ad-40be-4305-8a34-0ab44710b90d",
  "code": "INCORRECT_OR_MISSING_PARAMS",
  "message": "Incorrect or missing required parameters.",
  "statusCode": 400,
  "errorCode": "MEMBER_ID_INCORRECT_OR_MISSING"
}

Prescriber Types

Below describes the different prescriber types and the formats expected for each.

TypeFormat
npi10 digit number, for example 1386659639.
stateVaries state to state.
deaF91234567 or F91234567-001AB if its a supervised individual.

Eligibility Check Error Codes

The following error codes are shown with either ineligible or failed eligibility requests.

CodeMessageHTTP Status CodeReasonDescription
MEMBER_LIMIT_REACHED_FOR_CARD_NOMember limit reached for the provided card number.200Ineligible RequestIneligible due to member limit reached for the provided card number.
MEMBER_COVERED_BY_FED_INSMember covered by federal insurance program.200Ineligible RequestIneligible due to provided member is covered by federal insurance program.
MEMBER_AGE_MORE_THAN_64Member age is >64 years.200Ineligible RequestIneligible due to provided member age is more than 64 years.
STATE_EXCLUDED_FROM_COVERAGEState excluded from coverage.200Ineligible RequestIneligible due to state not being included in coverage.
COVERAGE_EXPIRED_FOR_MEMBERMember coverage expired on <end_date>200Ineligible RequestIneligible due to expired coverage.
COVERAGE_NOT_STARTED_FOR_MEMBERMember coverage won’t start until <start_date>200Ineligible RequestIneligible due to no active coverage.
INVALID_DATE_OF_SERVICEInvalid date of service.400Invalid RequestDate of service is in the future or before date of birth.
INVALID_DATE_OF_BIRTHProvided date of birth is invalid.400Invalid RequestDate of birth is in the future.
INVALID_CARD_NUMBERThe card number provided is invalid.400Invalid RequestCard is invalid. Either format is wrong or referrer configured for this account is not valid.
INVALID_CARD_FORMATThe card number provided is an invalid format.400Invalid RequestProvided card number has invalid length.
MISSING_PRESCRIBER_IDPrescriber ID is missing in the request.400Invalid RequestMissing Prescriber ID when it is required
PRESCRIBER_NOT_FOUND_OR_INVALIDPrescriber is not valid or not found in our system.400Invalid RequestInvalid prescriber in our system (e.g. license expired or not found).
INCORRECT_OR_MISSING_PARAMSIncorrect or missing required parameters.400Invalid RequestIncorrect or missing required parameters.
GROUP_INVALIDGroup invalid. Resubmit under <group_number>404Invalid RequestProvided group and configured referrer mismatch.
GROUP_NOT_FOUNDProvided group not found.404Invalid RequestGroup not found at all.
MEMBER_NOT_FOUNDProvided member not found.404Invalid RequestCan’t find member or member coverage.

Validation Error Codes

Error CodeDescription
MEMBER_ID_INCORRECT_OR_MISSINGRequired HTTP POST parameter memberId is either missing or invalid.
GROUP_INCORRECT_OR_MISSINGRequired HTTP POST parameter group is either missing or invalid.
FIRST_NAME_INCORRECT_OR_MISSINGRequired HTTP POST parameter firstName is either missing or invalid.
LAST_NAME_INCORRECT_OR_MISSINGRequired HTTP POST parameter lastName is either missing or invalid.
GENDER_INCORRECT_OR_MISSINGRequired HTTP POST parameter gender is either missing or invalid.
DOB_INCORRECT_OR_MISSINGRequired HTTP POST parameter dob is either missing or invalid.
EMAIL_INCORRECT_OR_MISSINGHTTP POST parameter email is invalid.
PHONE_INCORRECT_OR_MISSINGHTTP POST parameter phone is either missing or invalid.
ADDRESS_INCORRECT_OR_MISSINGHTTP POST parameter address is invalid.
ADDRESS_STATE_INCORRECT_OR_MISSINGHTTP POST parameter address.state is invalid.
ADDRESS_ZIP_INCORRECT_OR_MISSINGRequired HTTP POST parameter address.zip is either missing or invalid.
ADDRESS_ZIP_EXT_INCORRECT_OR_MISSINGHTTP POST parameter address.zipExtension is invalid.
PRESCRIBER_INCORRECT_OR_MISSINGHTTP POST parameter prescriber is invalid.
PRESCRIBER_TYPE_INCORRECT_OR_MISSINGHTTP POST parameter prescriber.type is invalid.
MEDICATION_INCORRECT_OR_MISSINGRequired HTTP POST parameter medication is either missing or invalid.
MEDICATION_NDC_INCORRECT_OR_MISSINGRequired HTTP POST parameter medication.ndc is either missing or invalid.
QUANTITY_INCORRECT_OR_MISSINGRequired HTTP POST parameter medication.quantity is either missing or invalid.
DAYS_SUPPLY_INCORRECT_OR_MISSINGRequired HTTP POST parameter medication.daysSupply is either missing or invalid.